Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic.core
Class BasicXListUI.PropertyChangeHandler

    java.lang.Object
      org.jdesktop.swingx.plaf.basic.core.BasicXListUI.PropertyChangeHandler

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener

Enclosing class:
  BasicXListUI

    public class BasicXListUI.PropertyChangeHandler

extends java.lang.Object
implements java.beans.PropertyChangeListener

The PropertyChangeListener that's added to the JList at installUI time. When the value of a JList property that affects layout changes, we set a bit in updateLayoutStateNeeded. If the JLists model changes we additionally remove our listeners from the old model. Likewise for the JList selectionModel.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `BasicXListUI.maybeUpdateLayoutState()`, `BasicXListUI.createPropertyChangeListener()`, `BasicXListUI.installUI(javax.swing.JComponent)`

Constructor Summary
`BasicXListUI.PropertyChangeHandler()`

Method Summary
`void` | `propertyChange(java.beans.PropertyChangeEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicXListUI.PropertyChangeHandler

    public BasicXListUI.PropertyChangeHandler()

Method Detail

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.